@import "variables.less";
@import "fonts.less";

// NO DATA WORK PAGE STARTS
.workcnt {
    .nodataworksection {
        .mobileworktopsec {
            display: none;
        }

        .worktopsec {
            .worktitle {
                h3 {
                    font-family: @font--poppins-500;
                    font-size: 30px;
                }
            }

            .workbtncnt {
                .endcols {
                    display: flex;
                    justify-content: flex-end;
                }

                .planbtn {
                    background-color: @backcolor--primary;
                    letter-spacing: 1px;
                    border-radius: 10px;
                }
            }
        }

        .workcentersec {
            display: flex;
            justify-content: center;
            margin-top: 100px;

            .whitesec {
                .boxadd {
                    width: 400px;
                    height: 280px;
                    border-radius: 15px;
                    border: 1px solid #d3d3d3;
                    background-color: white;
                    display: flex;
                    justify-content: center;
                    padding: 20px;
                    cursor: pointer;
                }
            }
        }

        .workbottomsec {
            margin-top: 20px;

            .bottomtitle {
                display: flex;
                justify-content: center;

                p {
                    color: #919293;
                    font-size: 20px;
                    font-family: @font--poppins-500;
                }
            }

            .bottompic {
                .btmseg {
                    display: flex;
                    justify-content: center;

                    p {
                        color: @backcolor--black;
                        font-family: @font--poppins-500;
                        font-size: 20px;

                        span {
                            margin-left: 10px;
                        }
                    }
                }
            }

            .bottomicon {
                display: flex;
                justify-content: center;
                margin-bottom: 89px;
            }
        }

    }
}

@media only screen and (max-width: 768px) {
    .workcnt {
        .nodataworksection {
            .worktopsec {
                display: none;
            }

            .mobileworktopsec {
                display: block;

                .workmobiletopbar {
                    position: fixed;
                    width: 100%;
                    background-color: @backcolor--white;
                    height: 50px;

                    .mobileworktitle {
                        display: flex;
                        justify-content: center;
                        height: 100%;

                        p {
                            color: @color--light-black;
                            font-size: 18px;
                            font-family: @font--poppins-500;
                            line-height: 50px;
                            letter-spacing: 1px;
                        }
                    }
                }

                .workbtncnt {
                    margin-top: 40px;
                }

                .endbtn {
                    display: flex;
                    justify-content: end;

                    .planbtn {
                        background-color: @backcolor--primary;
                        letter-spacing: 1px;
                        border-radius: 10px;
                        color: @backcolor--white;
                        margin-right: 10px;
                    }
                }

            }

            .workcentersec {
                display: flex;
                justify-content: center;
                margin-top: 10px;
                padding: 10px;

                .whitesec {
                    .boxadd {
                        width: 200px;
                        height: 180px;
                        border-radius: 15px;
                        border: 1px solid #d3d3d3;
                        background-color: white;
                        display: flex;
                        justify-content: center;
                        padding: 20px;
                    }
                }
            }

            .workbottomsec {
                margin-top: 5px;
                padding: 10px;

                .bottomtitle {
                    display: flex;
                    justify-content: center;

                    p {
                        color: #919293;
                        font-size: 16px;
                        font-family: @font--poppins-300;
                    }
                }

                .bottompic {
                    .btmseg {
                        display: flex;
                        justify-content: center;

                        p {
                            color: @backcolor--black;
                            font-family: @font--poppins-500;
                            font-size: 18px;

                            span {
                                margin-left: 10px;
                            }
                        }
                    }
                }

                .bottomicon {
                    display: flex;
                    justify-content: center;
                }
            }

        }
    }
}

// NO DATA WORK PAGE ENDS

// WITH DATA WORK PAGE STARTS
.workcnt {
    .dataworksection {
        .mobileworktopsec {
            display: none;
        }

        .worktopsec {
            .worktitle {
                h3 {
                    font-family: @font--poppins-500;
                    font-size: 30px;
                }
            }

            .workbtncnt {
                .segment {
                    display: flex;
                    justify-content: flex-end;

                    .revicon {
                        margin-right: 30px;
                    }

                    .planbtn {
                        border-radius: 10px;
                        letter-spacing: 1px;
                    }
                }
            }
        }

        .workcentersec {
            margin-top: 50px;

            .nav-pills .nav-link.active,
            .nav-pills .show>.nav-link {
                color: @backcolor--primary;
                background-color: transparent !important;
                border-bottom: 3px solid @backcolor--primary;
                border-radius: unset;
                cursor: pointer;
            }

            .nav-pills .nav-link {
                cursor: pointer;
                color: @color--secondary;
            }
        }
    }
}

// PLAN SECTION
.plancnt {
    .dropdown-menu.show {
        position: absolute !important;
        background-color: #DFDFDF;
        inset: 29px 0px auto !important;
        transform: translate(-36px, 0px) !important;
    }

    .cardgrid__dot {
        .btn-primary {

            background-color: #ffffff !important;
            border-color: #ffffff !important;

        }

        .btn-primary:hover {
            background-color: #ffffff !important;
            border-color: #ffffff !important;
        }

        .primary.dropdown-toggle {
            background-color: #DFDFDF !important;
            border-color: #DFDFDF !important;
        }

        .btn-primary.dropdown-toggle:focus {
            box-shadow: 0 0 0 0.25rem rgba(255, 255, 255, 0.5) !important;
        }
    }


    .dropdown-item:hover {
        background-color: #DFDFDF;
    }

    .dropdown-item {
        color: @color--primary  !important;
        font-size: 12px;
        font-family: @font--poppins-regular;
        padding-top: 4px !important;
    }

    .dropdown-menu {
        border: 1px solid #DFDFDF;
        border-radius: 8px;
    }

    margin-top: 20px;

    .plantopsec {
        margin-top: 10px;
        margin-bottom: 20px;
    }

    .cardcnts {
        .carddes {
            border: 1px solid #ececec;
            width: 290px;
            height: 300px;
            background-color: @backcolor--white;
            border-radius: 15px;
            margin: 10px;
            padding: 20px;

            &:hover {
                transition: all 0.2s ease-out;
                box-shadow: 0px 4px 8px rgba(38, 38, 38, 0.2);
                top: -4px;
                border: 1px solid #cccccc;
                background-color: @backcolor--white;
            }

            .endcols {
                display: flex;
                justify-content: end;
            }

            .cardbtn {
                width: 140px;
                border-radius: 20px;
            }

            .midcard {
                .cardtag {
                    width: max-content;
                    background-color: @backcolor--light--black;
                    margin-top: 15px;
                    height: 40px;
                    padding: 10px;
                    border-radius: 10px;

                    p {
                        font-family: @font--poppins-500;
                        font-size: 14px;
                        color: @color--primary;
                        padding-right: 5px;
                        padding-left: 5px;
                    }
                }

                .cardtitle {
                    margin-top: 5px;

                    p {
                        font-size: 17px;
                        font-family: @font--poppins-500;
                        color: @color--primary;
                    }
                }

                .plancardtopic,
                .plansubtopic {
                    font-size: 16px;
                    font-family: @font--poppins-200;
                    color: @color--primary;
                    line-height: 26px;

                    span {
                        margin-left: 10px;
                        font-size: 14px;
                        font-family: @font--poppins-500;
                        color: @color--secondary;
                    }
                }
            }

            .nextmilestonetext {
                color: @color--primary;
                font-size: 18px;
                font-family: @font--poppins-500;
                margin-top: 10px;
                text-decoration: underline;

                span {
                    margin-left: 10px;
                }
            }
        }
    }
}

// Plan section Ends
// Course section Starts
// Course Sections Starts
.coursecard {
    border: 1px solid #ececec;
    width: 300px;
    height: 330px;
    background-color: white;
    border-radius: 15px;
    margin: 10px;
    padding: 20px;

    &:hover {
        transition: all 0.2s ease-out;
        box-shadow: 0px 4px 8px rgba(38, 38, 38, 0.2);
        top: -4px;
        border: 1px solid #cccccc;
        background-color: white;
    }

    .endcols {
        display: flex;
        justify-content: end;
    }

    .cardbtn {
        width: 140px;
        border-radius: 20px;
    }

    .midcard {
        .cardtag {
            width: max-content;
            background-color: #DFDFDF;
            margin-top: 15px;
            height: 40px;
            padding: 10px;
            border-radius: 10px;

            p {
                font-weight: 500;
                font-size: 16px;
                color: #1b1c1e;
            }
        }

        .cardtitle {
            margin-top: 20px;

            p {
                font-size: 17px;
                font-weight: 600;
                color: #1b1c1e;
            }
        }

        .plancardtopic {
            margin-top: 20px;
        }

        .plancardtopic,
        .plansubtopic {
            font-size: 16px;
            font-weight: 300;
            color: #919293;
            line-height: 10px;
            padding-left: 5px;
            padding-right: 5px;

            span {
                margin-left: 10px;
                font-size: 16px;
                font-weight: 500;
                color: #1b1c1e;
            }
        }
    }

    .advimage {
        margin-top: 20px;
    }

    .nextmilestonetext {
        color: #1b1c1e;
        font-size: 18px;
        font-weight: 600;
        margin-top: 10px;
        text-decoration: underline;

        span {
            margin-left: 10px;
        }
    }
}

// Course section Ends

// Milestone Sections Starts

.milescard {
    border: 1px solid #ececec;
    width: 230px;
    height: 260px;
    background-color: white;
    border-radius: 15px;
    margin: 10px;
    padding: 10px;

    &:hover {
        transition: all 0.2s ease-out;
        box-shadow: 0px 4px 8px rgba(38, 38, 38, 0.2);
        top: -4px;
        border: 1px solid #cccccc;
        background-color: white;
    }

    .endcols {
        display: flex;
        justify-content: end;
    }

    .milemid {
        font-size: 20px;
        font-weight: 600;
        color: #1b1c1e;

    }

    .midbtm {
        margin-top: 60px;
        line-height: 10px;

        .midfrm {
            font-size: 14px;
            font-weight: 400;
            color: #919293;

            span {
                margin-left: 10px;
                color: #1b1c1e;
                font-size: 16px;
                font-weight: 400;
            }
        }
    }

    .progress {
        margin-top: 30px;
        height: 3px;
    }
}

// Milestone Sections Ends
@media only screen and (max-width: 768px) {
    .workcnt {
        .dataworksection {
            .worktopsec {
                display: none;
            }

            .mobileworktopsec {
                display: block;

                .workmobiletopbar {
                    position: fixed;
                    width: 100%;
                    background-color: @backcolor--white;
                    height: 50px;

                    .mobileworktitle {
                        display: flex;
                        justify-content: center;
                        height: 100%;

                        p {
                            color: @color--light-black;
                            font-size: 18px;
                            font-family: @font--poppins-500;
                            line-height: 50px;
                            letter-spacing: 1px;
                        }
                    }
                }

                .workbtncnt {
                    margin-top: 40px;

                    .segment {
                        display: flex;
                        justify-content: flex-end;

                    }

                    .revicon {
                        margin-right: 20px;
                    }

                    .endbtn {
                        margin-right: 10px;

                        .planbtn {
                            border-radius: 10px;
                        }
                    }
                }
            }

            .workcentersec {
                margin-top: 30px;
                padding: 10px;

                .nav-pills .nav-link.active,
                .nav-pills .show>.nav-link {
                    color: @backcolor--primary;
                    background-color: transparent !important;
                    border-bottom: 3px solid @backcolor--primary;
                    border-radius: unset;
                    cursor: pointer;
                }

                .nav-pills .nav-link {
                    cursor: pointer;
                    color: @color--secondary;
                }
            }
        }
    }

    // Plan card
    .plancnt {
        .cardcnts {
            .carddes {
                border: 1px solid #ececec;
                width: 300px;
                height: 300px;
                background-color: @backcolor--white;
                border-radius: 15px;
                margin: 10px;
                padding: 20px;
            }
        }
    }

    // Course card
    // Milestone card
    .milescard {
        border: 1px solid #ececec;
        width: 300px;
        height: 260px;
        background-color: white;
        border-radius: 15px;
        margin: 10px;
        padding: 10px;
    }
}

// WITH DATA WORK PAGE ENDS